%define _description__ \
This package is a backport of the PEP 362 function signature features from \
Python 3.3's inspect module. The backport is compatible with Python 2.6, 2.7 \
as well as 3.2 and up. \

Name:           python-funcsigs
Version:        1.0.2
Release:        14
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/funcsigs
Source0:        https://pypi.io/packages/source/f/funcsigs/funcsigs-%{version}.tar.gz
BuildArch:      noarch

%description
%{_description__}

%package -n     python3-funcsigs
Summary:        Python3 bindings for funcsigs
%{?python_provide:%python_provide python3-funcsigs}

BuildRequires:  python3-devel python3-setuptools python3-unittest2 python3-sphinx

%description -n python3-funcsigs
This package is a python3 subpackage for funcsigs.
%{_description__}

%package        help
Summary:        Help package for funcsigs
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description help
This package contains some documentation for funcsigs.

%prep
%autosetup -n funcsigs-%{version} -p1
rm -rf funcsigs.egg-info

%build
%py3_build
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-funcsigs
%license LICENSE
%{python3_sitelib}/{funcsigs,funcsigs-%{version}-py?.?.egg-info}

%files help
%doc html README.rst

%changelog
* Mon Aug 10 2020 lingsheng <lingsheng@huawei.com> - 1.0.2-14
- Remove python2-funcsigs subpackage

* Thu Feb 20 2020 catastrowings <jianghuhao1994@163.com> - 1.0.2-13
- Add buildreq python3-sphix to fix build error.

* Tue Oct 15 2019 huzhiyu <huzhiyu1@huawei.com> - 1.0.2-12
- Package init
